%define anolis_release 1

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)

%global srcname nbformat

Name:           python-%{srcname}
Version:        5.7.0
Release:        %{anolis_release}%{?dist}
Summary:        The Jupyter Notebook format

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
# File missing from tarball https://github.com/jupyter/nbformat/issues/213
Source1:        https://raw.githubusercontent.com/jupyter/nbformat/master/nbformat/tests/test4.ipynb
# Add pytest asyncio_mode=strict option
# Removed dependency on hatch-nodejs-version
Patch0:         nbformat-build-test.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros
# For tests
BuildRequires:  python%{python3_pkgversion}-fastjsonschema
BuildRequires:  python%{python3_pkgversion}-testpath

%description
This package contains the base implementation of the Jupyter Notebook format,
and Python APIs for working with notebooks.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        The Jupyter Notebook format
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
This package contains the base implementation of the Jupyter Notebook format,
and Python APIs for working with notebooks.


%prep
%autosetup -p1 -n %{srcname}-%{version}
mkdir -p nbformat/tests
cp -a %SOURCE1 nbformat/tests/

# Remove useless test dependencies
sed -i '/"pre-commit",/d' pyproject.toml
sed -i '/"check-manifest",/d' pyproject.toml

# Set version statically
# {VERSION} is a part of Patch0
sed -i "s/{VERSION}/%{version}/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -r -x test

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}

echo "%%{python3_sitelib}/%{srcname}-%{version}.dist-info/licenses/COPYING.md" >> %pyproject_files

%check
%pytest

 
%files -n python%{python3_pkgversion}-%{srcname} -f %pyproject_files
%license COPYING.md
%{_bindir}/jupyter-trust

%changelog
* Tue May 9 2023 Funda Wang <fundawang@yeah.net> - 5.7.0-1
- Import package for anolis 23
